All pages
Powered by GitBook
Couldn't generate the PDF for 146 pages, generation stopped at 100.
Extend with 50 more pages.
1 of 100

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

State diagram

The following diagram shows the possible states for the documentation object in the Marketplace Platform and the transition between these states:

The state transition diagram of the documentation object.
State
Definition

Draft

The documentation object is being created by the vendor. The object is not visible to the clients yet in the marketplace.

Pending

The vendor has submitted the documentation object to SoftwareOne Operations for review and publishing.

Published

The documentation object is visible in the marketplace.

Unpublished

The documentation object is not visible in the marketplace.

Deleted

The document object no longer exists. It's no longer part of the product definition and can't be used.

Create listing

State diagram

The following diagram shows the possible states for the Pricelist Item object and the transition between these states:

The state transition diagram of a pricelist item.

Create pricing policy

Create a new pricing policy.

Create authorization

Unpublish document

Unpublish a document.

State diagram

The following diagram shows the possible states of an item within the Marketplace Platform and the transition between these states:

The state transition diagram of an item.
State
Definition

Draft

The item object is being created by the vendor. This object is not visible to client accounts.

Update item

Review

The vendor has submitted the item to SoftwareOne Operations for review and publishing. SoftwareOne Operations will add the ERP item ID before publishing.

Published

The item object is available in the marketplace.

Unpublished

The item object is not available in the marketplace.

Deleted

The item object no longer exists, meaning it's no longer part of the product definition and can't be used anymore.

Mark item for review

Get listing

Authorization

An Authorization object is a business object that encapsulates the permissions and credentials necessary for interactions between a specific seller and vendors, all within the scope of a single product. It is associated with the seller via listings and serves as the repository for access control and provisioning data required for the vendor to deliver services or content.

This object contains the following attributes:

Field
Type
Description
Field
Type
Description
Field
Type
Description
Field
Type
Description

State diagram

The following diagram shows the status transition process of a listing in the platform.

The state transition diagram of a listing.

Publish item

Create parameter

Create a product parameter.

List product media

Get a list of media for a product.

Update listing

Get item group

id

string, core

(Read-only) The identifier for the authorization.

name

string, core

The name of the authorization.

externalIds

object, core

A reference to the object.

eligibility

boolean, core

Indicates if authorization is enabled for the tier 1 program.

journal

object, core

Indicates if authorization is enabled for tier 2 program.

currency

string, core

The currency of the authorization.

notes

string

(Optional) Notes for the authorization.

product

object

(Read-only) The that the authorization belongs to.

vendor

object

(Read-only) The vendor to which the authorization belongs.

owner

object

(Read-only) Represents the SoftwareOne entity.

statistics

object

(Read-only) Shows statistics related to the authorization.

audit

object

(Read-only) Represents the object.

settings

string

(Optional) The settings value validated as JSON.

subscriptions

integer

(Read-only) Number of subscriptions assigned to the Authorization.

agreements

integer

firstInvoiceDate

datetime

First invoice data for data submitted by the vendor

frequency

string

client

boolean

Indicates direct client

partner

boolean

AUTHORIZATION OBJECT
{
  "id": "AUT-1234-4678",
  "name": "Salesforce Enterprise License",
  "externalId": "WW-1001111",
  "currency": "EUR",
  "notes": "Notes about given authorization",
  "partnerProgram": true,
  "tier1": true,
  "tier2": false,
  "product": {
      "id": "PRD-1111-1111",    
      "name": "Microsoft Office 365 NCE",
      "icon": "/static/PRD-1111-1111/logo.png"
  },
  "vendor": {
    "id": "ACC-1234-1234",  
    "name": "Microsoft",
    "icon": "/static/ACC-1234-1234/account.png"
  },
  "owner": {
      "id": "SEL-1234-4567",        
      "name": "SoftwareOne, Inc."
  },
  "journal": {
    "firstInvoiceDate": "2023-12-14T17:28:57Z",
    "frequency": "Monthly"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "statistics": {
      "subscriptions": 5,
      "agreements": 10,
      "listings": 4,
      "sellers": 1
  },
  "audit": {
    "created": { 
      "at": "2023-12-14T17:28:57Z", 
      "by": {
        "id": "UR-1234-1234-1234",
        "name": "John Smith",
        "icon": "/static/users/UR-1234-1234-1234.icon.svg"
      }
    },
    "updated": { 
      "at": "2023-12-14T17:28:57Z", 
      "by": {
        "id": "UR-1234-1234-1234",
        "name": "John Smith",
        "icon": "/static/users/UR-1234-1234-1234.icon.svg"
      }
    }
  }
}

Authorization Statistics object

Authorization Journal object

Authorization Eligibility object

Example

(Read-only) Number of agreements assigned to the Authorization.

listings

integer

(Read-only) Number of listings referring to the Authorization.

sellers

integer

(Read-only) Number of sellers referring to the Authorization.

The frequency at which the vendor will submit journal data.

Indicates indirect client, also called partners.

externalIds
product
account
seller
audit

Document

The Document object lets you upload product documentation (via an online link or file upload) to the product object.

This object contains the following attributes:

Field
Type
Description

id

string

Get authorization

Update Product Parameter

Update a product parameter definition.

Address Parameter Type

The “Address” type parameter is one of the components that produces object type output value. It also provides some out-of-the-box validation, such as all fields are mandatory, contributing to elaborate data collection. The value type is object.

Field
Type
Description

List item groups

(Read-only) The identifier for the object.

name

string

The name of the document.

description

string

A description of the document.

type

string

The type of the document.

url

string

The URI to access the document.

language.name

string

The name of the language.

language.code

string

The ISO code of the language.

status

string

The status of the document.

product

object

Represents the product object.

audit

object

Represents the audit object.

Example

DOCUMENT OBJECT
 {
    "id": "DOC-1234-1234",
    "href": "v1/catalog-management/media/DOC-1234-1234",
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "url": "https://address.to.media.file.pl/abcde.docx",
    "language": {
      name: "Polish",
      code: "pl-pl",
    },
    "state": "Draft",
    "product": {
      "id": "PRD-1111-1111-1111",
      "name": "Microsoft Office 365 NCE",
      "icon": "/static/PRD-1111-1111-1111/logo.png"
     },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }

hintText

string

Provides help text describing what value is expected in control.

Example: Define buyer address

defaultValue

One of:

None

Buyer

Seller

Licensee

(optional) Default value.

Example: Buyer

Field
Type
Description

addressLine1

string

Address Line1 - street address. Example: 123 Main Street

addressLine1

string

name

string

Label of the widget.

Example: Buyer address

{
  "name": "Seller address",
  "hintText": "Provide seller address",
  "defaultValue": "Seller"
}
{
  "addressLine1": "123 Main Street",
  "addressLine2": "Apt 4B",
  "postCode": "12345",
  "city": "Cityville",
  "state": "S",
  "country": "ST"
}

Options Example

Value Fields

Value Example

Publish document

Publishes a document.

Parameter Group

The Parameter Group object contains the following properties:

Field
Type
Description

List parameter groups

Lists all parameter groups for a given product based on filter criteria.

Delete Product Parameter

Delete a product parameter definition.

Address Line 2 - door number. Example: Apt 4B

postCode

string

Post or ZIP code.

Example: 12345

city

string

City or town name.

Example: Cityville

state

string

State name or abbreviation.

Example: S

country

string

Country code according to standard.

Example: ST

name

string, core

The name of the group.

label

string

The label displayed in the wizard steps selector.

description

string

A description of the group.

displayOrder

integer

Defines the display order.

default

boolean

Marks the default item group.

parameterCount

integer

(Read-only) Number of parameters in the group.

product

object

Represents the object.

id

string, core

(Read-only) The identifier for the parameter group.

PARAMETER GROUP OBJECT
{
    "id": "PGR-6790-8304-0001",   
    "title": "Parameters",
    "label": "Create agreement",
    "description": "When creating a new agreement with SoftwareOne, you have the option to establish a new Microsoft account or connect it to an existing account you already hold with Microsoft.",
    "displayOrder": 100,
    "default": true,
    "product": {
        "id": "PRD-6790-8304-0171"
    }
}

Example

State diagram

The following diagram shows the possible states a group object may have in the Marketplace Platform and the transition between these states:

Group state transition
State
Definition

Idle

The item group has been created as part of the product definition, which will be used as a step in the purchase wizard when the product is ordered.

Delete item

Activate pricing policy

Delete authorization

Date Options Object

The “Date” parameter provides a calendar-like component to where it is being used. Highly configurable it provides a wide range of functionalities:

  1. Calendar control.

  2. Date range selection (start-to-end date selection).

  3. Date selection control attributes (value can be selected only within a given range of dates).

product
Field
Type
Description

name

string

The label of the widget.

Example: Activation date

hintText

string

Provides help text describing what value is expected in control.

Example: Specify when you want your subscription to be active

{
  "name": "Date of birth",
  "hintText": "Specify your date of birth",
  "dateRange": false,
  "minAvailableDate": "1900-01-01",
  "maxAvailableDate": "2000-12-30",
  "defaultValue":  null
}

Example

Deleted

The item group no longer exists.

It is no longer part of the product definition and cannot be used anymore.

Media

The Media object enables vendors to add, view, or delete media from the product object.

This object contains the following attributes:

Field
Type
Description

id

string

Create item group

Create pricelist

Creates a price list.

List authorizations

State diagram

The following diagram shows the status transition process of an authorization on the platform.

Get pricing policy

Get a pricing policy by ID.

The state transition diagram of an authorization.

dateRange

bool

Turning this option on, allows selection of two dates (start date & end date). Example: True

minAvailableDate

date

(optional) Prevents selection of the date value in the past beyond the value set in this constraint.

Example: 2024-02-01

maxAvailableDate

date

(optional) Prevents selection of the date value in the future beyond the value set in this constraint.

Example: 2024-12-10

defaultValue

One of singleDate or

dateRange

(optional) Depending of the dateRange value - default value can be a date range or single date.

Example:

(Read-only) The identifier for the media.

name

string

The name of the media.

description

string

A description of the media.

type

string

The type of the media.

url

string

The URI to access the media.

displayOrder

integer

The object's order in the list.

status

string

The status of the media.

product

object

Represents the product object.

audit

object

Represents the audit object.

Example

{
  "date": "2023-10-05"
}
MEDIA OBJECT
  {
    "id": "MED-1234-1234",   
    "name": "Office 365 Product Image",
    "description": "An image of Office 365, which is available to purchase within the Microsoft 365 Online Services product",
    "type": "Image",
    "url": "https://address.to.media.file.pl/abcde.png",
    "displayOrder": 100,
    "state": "Draft",
    "product": {
      "id": "PRD-1111-1111-1111",   
      "name": "Microsoft Office 365 NCE",
      "icon": "/static/PRD-1111-1111-1111/logo.png"
     },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }

Choice Options Object

The “Choice” parameter represents either a radio button control (single choice) on the form. It is used when one selection must be made only. If multiple selections can or need to be made the better option is to use the “Checkbox” parameter.

The value type is string.

name

string

Label of the widget.

Example: Which service you are interested in?

Delete document

Removes a document.

Update parameter group

Updates a parameter group for a given product.

Update pricelist

Update a price list using its ID.

hintText

string

Provides help text describing what value is expected in control.

Example: Select one value

optionsList

selectionOption

Effectively a data source for the parameter options

component provides drag and drop functionality to determine the ordering of options.

Example:

defaultValue

string

Used to mark default selection if needed (one selection only).

Example: Win11x64

Example

Value Example

[
  {
    "label": "Microsoft Office 365",
    "description": "Office 365 product",
    "value": "MsOffice365"
  },
  {
    "label": "Dynamics 365",
    "value": "Dynam365"
  },
  {
    "label": "Windows 11"
    "description": "Latest Windows 11",
    "value": "Win11x64"
  }
]
{
  "name": "Which service you are interested in?",
  "hintText": "Select one value",
  "optionsList": [
    {
      "label": "Microsoft Office 365",
      "description": "Office 365 product",
      "value": "MsOffice365"
    },
    {
      "label": "Dynamics 365",
      "value": "Dynam365"
    },
    {
      "label": "Windows 11",
      "description": "Latest Windows 11",
      "value": "Win11x64"
    }
  ],
  "defaultValue": "Dynam365"
}
"Dynam365"

Constraints Object

Represents the parameter constraints object.

Field
Type
Description

hidden

bool

This constraint is very powerful as it allows vendors to conditionally request information from the client. Since it is about “collecting” information it is obvious that the “hidden“ constraint is available only during the “order” phase.

Example: true

Field
Type
Description

Delete listing

Create document

Create a new document in catalog management.

Subdomain Options Object

The “Subdomain” parameter provides a convenient way for Vendor to ensure data quality.

Field
Type
Description

State diagram

The following diagram shows the possible states a parameter may have in the Marketplace Platform and the transition between these states:

State
Definition

List Product Parameters

Get a list of parameters for a product.

State diagram

The following diagram shows the possible states a group object may have in the Marketplace Platform and the transition between these states:

State
Definition
get
Authorizations
AuthorizationstringRequired

Prefix the value with "Bearer " to indicate the authorization type

Path parameters
idstringRequired
productIdstringRequired
Query parameters
selectstringOptional
Responses
200

Success

application/json
idstringOptional
auditobjectOptional
$metaobjectOptional
hrefstringRead-onlyOptional
namestringOptional
labelstringOptional
descriptionstringOptional
displayOrderinteger · int32Optional
isDefaultbooleanOptional
isMultipleChoicebooleanOptional
isRequiredbooleanOptional
itemCountinteger · int32Optional
productobjectOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/v1/products/{productId}/item-groups/{id}
GET /public/v1/products/{productId}/item-groups/{id} HTTP/1.1
Host: api.platform.softwareone.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "audit": {},
  "$meta": {},
  "href": "text",
  "name": "text",
  "label": "text",
  "description": "text",
  "displayOrder": 1,
  "isDefault": true,
  "isMultipleChoice": true,
  "isRequired": true,
  "itemCount": 1,
  "product": {}
}

required

bool

All defined parameters are mandatory by default, so to make the parameter optional we have to turn on this constraint.

Example: false

readonly

bool

If the requirement is to prevent the Client from modifying a value of some parameter, then this constraint can be turned on which will disable the UI components effectively making them not editable. Example: true

capacity

Min and Max number of parameter values.

Example:

min

number

Minimum specifies how many values the user must provide.

max

number

Capacity Object

Example

{
  "hidden": true

name

string

The label of the widget.

Example: Your domain

Idle

The parameter has been created as part of the product definition. It can be used to collect data as part of the order, fulfillment, or configuration phases.

The state transition diagram of a parameter.

Idle

The parameter group has been created as part of the product definition, which will be used as a step in the purchase wizard when a client orders the product.

The state transition diagram of a group.

Email Options Object

The “Email” parameter type provides a form element that does email validation out-of-the-box following RFC 5322 guides.

Field
Type
Description

List pricing policies

State diagram

The following diagram shows the possible states for the media object in the Marketplace Platform and the transition between these states:

State
Definition

placeholderText

string

Provides default text within the control when no input is available.

Example: Enter your subdomain

domainSuffix

string

Provides a domain part of a subdomain address. Example: onmicrosoft.com

hintText

string

Provides help text describing what value is expected in control. Example: Specify your desired subdomain

Example

,
"readOnly": true,
"required": false,
"multiple": null
}

Maximum value shows how many values the user can provide.

capacityObject

placeholderText

string

Provides default text within the control when no selection is not made.

Example: email@org.com

hintText

string

Provides help text describing what value is expected in control.

Example: Enter email address

defaultValue

none or currentlySignedInUser

(optional) Default value.

name

string

The label of the widget.

Example: Email

Example

{
  "name": "Your domain",
  "placeholderText": "subdomain",
  "hintText": "Specify your desired subdomain",
  "domainSuffix": "onmicrosoft.com"
}
{
  min: 1,
  max: 2
}
{
  "name": "Email",
  "placeholderText": "email@org.com",
  "hintText": "Enter email address",
}

The media has been submitted to SoftwareOne Operations for review and publishing.

Published

The media is now visible in the Marketplace.

Unpublished

The media has been unpublished and is not visible in the Marketplace.

Deleted

The media no longer exists, meaning it's no longer part of the product definition and can't be used.

Draft

The media is being created. A media object in this state is not visible to clients in the Marketplace.

The state transition diagram of a media object.

Pending

Deleted

The parameter no longer exists. It's no longer part of the product definition and can't be used to collect data as part of the order, fulfillment, or configuration phases.

Deleted

The parameter group no longer exists. It's no longer part of the product definition and can't be used anymore.

Delete product media

Delete an item of media for a product.

Heading Options Object

The heading parameter is useful when a textual content separator is required, such as a heading in a form that distinguishes different groups of form inputs.

Field
Type
Description

name

string

The heading itself.

Example: Segment

Publish media

Publish an item of media for a product.

State diagram

The following diagram shows the possible states for the pricelist object and the transition between these states:

The state transition diagram of a pricelist.
State
Definition

Idle

The pricelist object has been created as part of the product definition. It will be used to sell items against a listing within the scope of authorization.

Deleted

Update product media

Update the media for a product.

Multi-Line Text Options Object

The “Multi-line text” parameter controls text area form when a larger textual value must be captured. The value type is string.

Field
Type
Description

Item Group

The ItemGroup object represents a group of items.

Field
Type
Description

List documents

Lists all documents based on filter criteria.

Get pricelist

Retrieve a price list using its ID.

Get parameter group

Lists all parameter groups for a given product based on filter criteria.

Update item group

Delete pricing policy

Delete an existing pricing policy by ID.

Update document

Update document.

Update authorization

List listings

Update pricing policy

Update an existing pricing policy.

Get pricelist item

Gets a price item within a price list.

Unpublish media

Unpublish an item of media for a product.

Mark media for review

Mark an item of media for a product for review.

Get product media

Get an item of media for a product.

Delete parameter group

Deletes a parameter group from a given product.

List pricelist items

List of items in a price list.

Update pricelist item

Updates a price item within a price list.

Get Product Parameter

Get a product parameter definition.

put
Authorizations
AuthorizationstringRequired

Prefix the value with "Bearer " to indicate the authorization type

Path parameters
productIdstringRequired
idstringRequired
Body
namestring · nullableOptional
labelstring · nullableOptional
descriptionstring · nullableOptional
displayOrderinteger · int32 · nullableOptional
isMultipleChoiceboolean · nullableOptional
isRequiredboolean · nullableOptional
isDefaultboolean · nullableOptional
Responses
200

Success

application/json
idstringOptional
auditobjectOptional
$metaobjectOptional
hrefstringRead-onlyOptional
namestringOptional
labelstringOptional
descriptionstringOptional
displayOrderinteger · int32Optional
isDefaultbooleanOptional
isMultipleChoicebooleanOptional
isRequiredbooleanOptional
itemCountinteger · int32Optional
productobjectOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/v1/products/{productId}/item-groups/{id}
PUT /public/v1/products/{productId}/item-groups/{id} HTTP/1.1
Host: api.platform.softwareone.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "name": "text",
  "label": "text",
  "description": "text",
  "displayOrder": 1,
  "isMultipleChoice": true,
  "isRequired": true,
  "isDefault": true
}
{
  "id": "text",
  "audit": {},
  "$meta": {},
  "href": "text",
  "name": "text",
  "label": "text",
  "description": "text",
  "displayOrder": 1,
  "isDefault": true,
  "isMultipleChoice": true,
  "isRequired": true,
  "itemCount": 1,
  "product": {}
}

description

string

Provides description for the heading component.

Example: Define segment value

{
  "name": "Segment",
  "description": "Segment information",
}

Example

placeholderText

string

Provides default text within the control when no selection is not made.

Example: Product extended information

hintText

string

Provides help text describing what value is expected in control.

Example: Add product data

defaultValue

string

(optional) Default value.

Example: Expensive product

minChar

int

(optional) Defines minimum length of characters.

Example: 3

maxChar

int

(optional) Defines maximum length of characters. Example: 100

{
  "name": "

name

string

Label of a widget.

Example: Description

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.\nUt enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.\nDuis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur."

Example

Value Example

name

string, core

The name of the group.

label

string

The label that is displayed in the wizard steps selector.

description

string

A description of the group.

displayOrder

integer

Defines the display order of the group.

default

boolean

Marks the default item group.

multiple

boolean

Allows multiple selection of items.

required

boolean

Requires the selection of an item in the group.

itemCount

integer

(Read-only) Number of items in the group.

product

object

Represents the object.

id

string, core

(Read-only) The ID of the item group.

ITEM GROUP OBJECT
	{
	    "id": "IGR-6790-8304-0001",
	    "name": "Items",
	    "label": "Select items",
	    "description": "<p><span>Your purchase of Microsoft 365 Online Services comes with SoftwareOne’s best-in-class Digital Workplace Essentials service offering.",
	    "displayOrder": 100,
	    "default": true,
	    "multipleChoice": false,
	    "required": true,
	    "product": {
	        "id": "PRD-6790-8304-0171"
	    }
	}

Example

The price list no longer exists. It's no longer part of the product definition and can't be used anymore.

Date Range Options Object

The “Date” parameter provides a calendar-like component to where it is being used. Highly configurable it provides a wide range of functionalities:

  1. Calendar control.

  2. Date range selection (start-to-end date selection).

  3. Date selection control attributes (value can be selected only within a given range of dates).

The value type is object.

Field
Type
Description
Field
Type

Data Object Options Object

Data object parameters is used for programmatic operations to express complex data object structures.

Field
Type
Description

name

string

The label of the widget.

Selection Option Object

The Selection option object type used in selection controls.

Field
Type
Description

name

string

The label of the selection option.

Example: Adobe Reader

Checkbox Options Object

The “Checkbox” parameter represents a checkbox control (multi-choice) on the form. It is usually used when a user needs or wants to select multiple objects. All options are required to be present on the screen at the same time, if this is not required better option is to use the “Dropdown” parameter.

The value type is object.

Field
Type
Description
description
"
,
"placeholderText": "product description",
"hintText": "add product data",
"minChar": 10,
"maxChar": 20
}
product

hintText

string

Provides help text describing what value is expected in control.

defaultValue

string

Default value.

objectType

JSON or XML

The type of the input object.

Example

Value Example

value

string

Provides a value if the option.

Example: ADOBE_READER

description

string

(optional) Provides help text describing what value.

Example: Adobe product

Example

{
  "name": "Seller address",
  "hintText": "Provide seller address",
  "defaultValue": "Seller",
  "objectType": "JSON"
}
{
  "auth": {
    "token": "the token",
    "signature": "the signature"
  },
  "URI": "https://example.com"
}
{
  "name": "Adobe Reader",
  "value": "ADOBE_READER",
  "description": "Adobe product"
}

dateRange

bool

Turning this option on allows selection of two dates (start date & end date).

Example: True

minAvailableDate

date

(optional) Prevents selection of the date value in the past beyond the value set in this constraint.

Example: 2024-02-01

maxAvailableDate

date

(optional) Prevents selection of the date value in the future beyond the value set in this constraint.

Example: 2024-12-10

defaultValue

One of singleDate or

dateRange

(optional) Depending of the dateRange value - default value can be a date range or single date.

Example:

name

string

The label of the widget.

Example: Activation date

hintText

string

{
  "name": "Date of birth",
  "hintText": "Specify your date of birth",
  "dateRange": false,
  "minAvailableDate": "1900-01-01",
  "maxAvailableDate": "2000-12-30",
  "defaultValue":  null
}

start

ISO 8601

Start of date range.

Example: 2020-12-09

end

ISO 8601

{
  "start": "2020-12-09",
  "end": "2024-12-09"
}

Example

Value Fields

Example

Provides help text describing what value is expected in control.

Example: Specify when you want your subscription to be active

End of date range.

Example: 2025-12-09

string

Label of a widget.

Example: Segment

hintText

string

Provides help text describing what value is expected in control.

Example: Define segment value

optionsList

selectionOption

Effectively a data source for the parameter options

component provides drag and drop functionality to determine the ordering of options.

Example:

defaultValue

string

(optional) Used to mark default selection if needed (supports multi-selection).

Example: [“sellerAddress”]

Field
Type
Description

[]

string

List of selected checkbox values.

Example: my val3

name

{
  "name": "Select items",
  "hintText": "Pick all the items you want",
  "optionsList": [
    {
      "label": "Microsoft Office 365",
      "value": "ms_office_365"
    },
    {
      "label": "Microsoft Dynamycs",
      "value": "dynamics"
    },
    {
      "label": "Other Products",
      "value": "products"
    }
  ]
}
[
  "dynamics",
  "products"
]

Example

Value Fields

Example

Item

The Item object represents a “product item” as a transactable element of a product that, for example, in a created order, is represented as a “line item” of that order.

This object contains the following attributes:

Field
Type
Description

id

The parameter object contains the given parameter's value and additional information, like Constraints.

Field
Type
Description
Field
Type
Description

Price List

The Price List object includes key pricing details such as sales and purchase prices, enabling vendors and operations to effectively manage and apply different price points for product items. This is essential for aligning pricing strategies with market and internal financial objectives.

This object contains the following attributes:

Field
Type
Description

id

This object contains the following attributes:

Field
Type
Description

Dropdown Options Object

The “Dropdown” parameter is another “choice” type parameter but confined to a single form element.

Field
Type
Description

name

string

Label of the widget.

Example: Segment

Catalog API

Manage your products programmatically using the Catalog API.

The Catalog API enables you to create, retrieve, and manage products. You can also configure individual items and item groups through the API.

Additionally, you can define parameters and parameter groups, and manage pricing with price lists. You can also create custom templates and product variants. The API also includes endpoints for managing product media, documents, listings, and terms and conditions.

Review the shared API docs before you work with catalog resources.

Pricing Policy

The Pricing Policy object contains the following attributes:

Field
Type
Description

name

string

The display name for the parameter.

value

string

(Optional) The value of the parameter.

string, core

(Read-only) A unique identifier for the item.

name

string, core

The name of the item.

description

string

A description of the item.

externalIds

object

Represents the externalIds object.

Example:

terms

object

Terms for the items, as defined in the terms object.

Example:

quantityNotApplicable

boolean, core

Indicates if the quantity isn't applicable or relevant to the product item being sold.

status

string

The status of the item. Allowed values are:

  • Draft

  • Published

  • Unpublished

parameters

object

Captures any additional information required for a product item and is defined by item configuration parameters.

Example:

group

object

The itemGroup to which the item has been assigned.

unit

object

The unitOfMeasure assigned to item.

product

object

The product to which item is assigned.

audit

object

(Read-only) Represents the audit object.

id

string

(Read-only) The identifier of the parameter definition this value refers to.

externalId

string

vendor

string

A vendor-recognizable item identifier used to ensure the correct item is supplied when an order is placed.

Parameter object

External Ids object

Example

The ID of the parameter in the external system.

priceListitems

integer

(Read-only) Total number of price list Items on the price list.

purchasePriceItems

integer

(Read-only) Number of Items with a populated purchase price.

purchasePriceCompleteness

integer

(Read-only) Percentage of Items with a populated purchase price.

string, core

(Read-only) The business identifier of the price list.

currency

string, core

The ISO code for the currency.

precision

integer

Precision of the pricelist as decimal places.

notes

string

The notes about the price list.

externalIds

object

Represents the externalIds object.

statistics

object

(Read-only) Represents the priceListStatistics object, which contains the system-calculated metrics about the price list.

product

object

(Read-only) Represents the product that the pricelist belongs to.

vendor

object

(Read-only) Represents the vendor account of the price list. The field is visible only to SoftwareOne Operations.

audit

object

(Read-only) Represents the audit object.

sellers

integer

(Read-only) Number of sellers that are using this price list.

listings

integer

Pricelist Statistics object

Example

(Read-only) Number of listings that are using this price list.

hintText

string

Provides help text describing what value is expected in control.

Example: Define segment value

placeholderText

string

(optional) Provides default text within the control when no selection is not made.

Example: Commercial

description

string

(optional) Provides description for the drop down component.

Example: Define segment value

optionsList

selectionOption

Effectively a data source for the parameter options

component provides drag and drop functionality to determine the ordering of options.

Example:

defaultValue

string

(optional) used to mark default selection if needed (one selection only).

Example: Win11x64

Example

{
  "vendor": "ven-1233-3222",
  "operations": "op-322-322",
}
{
  "period": "1m",
  "commitment": "1y"
}
{ 
  "id": "PRM-1234-1234-1234",
  "externalId": "SKU",
  "value": "65272478BB01A12"
}
ITEM OBJECT
{
    "id": "ITM-0690-0539-0001",    
    "name": "Microsoft 365 Online Services for Charity",
    "description": "Explore Microsoft 365 nonprofit solutions and technology to help your organization",
    "terms":{
      "model": "quantity",
      "period": "1m",
      "commitment": "1y"
    }, 
    "state": "Draft",
    "parameters": [
      {
        "id": "PRM-0690-0539-0001",
        "externalId": "SKU",
        "name": "Stock keeping unit",
        "value": "65272478BB01A12"
      },
      {
        "id": "PRM-0690-0539-0004",
        "externalId": "countries",
        "name": "Countries (checkboxes)",
        "value": [
          "us",
          "eu",
          "jp"
        ]
      },
      {
        "id": "PRM-0690-0539-0004",
        "externalId": "countries",
        "name": "Countries (checkboxes)",
        "value": {
          "addressLine1": "123 Main Street",
          "addressLine2": "Apt 4B",
          "postCode": "12345",
          "city": "Cityville",
          "state": "S",
          "country": "ST"
        }
      },            
      {
        "id": "PRM-0690-0539-0002",
        "externalId": "JSON_data",
        "name": "Information stored by vendor integration",      
        "value": { ...data... }
      }    
    ],
    "group": {
        "id": "IGR-0690-0539-0001",
    },
    "unit": {
        "id": "UNT-7362",
    },
    "product": {
        "id": "PRD-0690-0539",
    },
    "audit": {
        "created": { "at": "...", "by": { } },
        "updated": { "at": "...", "by": { } }
    }
}
PRICE LIST OBJECT
{
  "id": "PRC-1234-5678-9012", 
  "currency": "EUR",
  "precision": 3,
  "defaultMarkup": 0.0869,
  "notes": "This is the primary Price List for the EU region",
  "statistics": {
    "sellers": 10,
    "listings": 12,
    "items": 23,
    "purchasePriceItems": 10,
    "purchasePriceCompleteness": 0.4347826,
    "salesPriceItems": 16,
    "salesPriceCompleteness": 0.6956521,
    "averageMarkup": 0.5405,
    "averageMargin": 0.4465
  },
  "product": {
    "id": "PRD-1234-5678"
  },
  "vendor": {
    "id": "ACC-1671-0642"
  }
}
[
  {
    "label": "Microsoft Office 365",
    "value": "MsOffice365"
  },
  {
    "label": "Dynamics 365",
    "value": "Dynam365"
  },
  {
    "label": "Windows 11"
    "value": "Win11x64"
  }
]
{
  "name": "Which service you are interested in?",
  "hintText": "Select one value",
  "description": "Select interested service",
  "placeholderText": "Select your choice"
  "optionsList": [
    {
      "label": "Microsoft Office 365",
      "value": "MsOffice365"
    },
    {
      "label": "Dynamics 365",
      "value": "Dynam365"
    },
    {
      "label": "Windows 11"
      "value": "Win11x64"
    }
  ],
  "defaultValue": "Dynam365"
}
{
  "date": "2023-10-05"
}
[
  {
    "label": "None",
    "value": "none"
  },
  {
    "label": "Seller address",
    "value": "sellerAddress"
  },
  {
    "label": "Buyer address",
    "value": "buyerAddress"
  }
]

Error handling

The Catalog API is built around the following core resources:

  • Authorization – Represents the permissions and credentials that are required for interactions between sellers and vendors in the scope of a product.

  • Document – Used to upload product documentation (via an online link or file) to the product object.

  • Item – Represents the individual stock-keeping units (SKUs) or transactable element of a product. Items are shown as a line item in an order.

  • Item group – Represents a group of items.

  • Listing – Represents a business entity that aligns a product with a specific SoftwareOne seller.

  • Media – Enables vendors to add, view, or delete media from the product object.

  • Product – Represents a collection of items and their associated parameters organized into a unified group.

  • Parameter – Allows vendors to define additional information that must be collected from and shared with the client, enabling the client to self-serve within the SoftwareOne Marketplace.

  • Parameter group – Represents a group of parameters.

  • Pricelist – Includes key pricing details such as sales and purchase prices, enabling vendors and operations to effectively manage and apply different price points for product items.

  • Pricing policy – Defines client-specific markup and pricing rules based on negotiated terms and special agreements.

The API is organized into collections, each containing a set of operations. Access to these operations varies by role, depending on whether you are a client, vendor, or operations user.

Use the following links to jump to the collection you need:

  • Authorization

  • Documents

  • Items

  • Item Groups

Before you start

Authentication
URL structure

Core resources

Browse collections

Authorization

View Authorization operations
Operation
Method
Description
Access

Documents

View Documents operations
Operation
Method
Description
Access

Items

View Items operations
Operation
Method
Description
Access

Item Groups

View Item Groups operations
Operation
Method
Description
Access

Listings

View Listings operations
Operation
Method
Description
Access

Media

View Media operations
Operation
Method
Description
Access

Parameters

View Parameters operations
Operation
Method
Description
Access

Parameter Groups

View Parameter Groups operations
Operation
Method
Description
Access

Price Lists

View Price Lists operations
Operation
Method
Description
Access

Pricing Policies

View Pricing Policies operations
Operation
Method
Description
Access

Products

View Products operations
Operation
Method
Description
Access

Templates

View Templates operations
Operation
Method
Description
Access

Terms

View Terms operations
Operation
Method
Description
Access

Unit of Measure

View Unit of Measure operations
Operation
Method
Description
Access

Variants

View Variants operations
Operation
Method
Description
Access

client

object, core

(Read-only) The client to which the pricing policy belongs.

markup

decimal

The markup that has been applied to the yield cap. Optional on request: if omitted, the markup requires a margin to be provided. Only SoftwareOne operations can view this field.

margin

decimal

The margin of the yield cap. Optional on request: if omitted, the markup requires a margin to be provided. Only SoftwareOne operations can view this field.

products

object, core

Represents the object, containing a list of selected products.

Example:

status

enum

Indicates the status of the price policy. Allowed values are:

  • Active

  • Disabled

  • Deleted

eligibility

decimal

Indicates whether the policy applies to clients (Tier 1), partners (Tier 2), or both.

Example:

name

string, core

The name of the pricing policy.

externalIds

object

Represents the object.

notes

string

User notes about the pricing policy.

statistics

object

Represents the object.

audit

object

(Read-only) Represents the object.

This object contains the following attributes:

Field
Type
Description

id

string

The ID of the attachment.

name

string, core

This object contains the following attributes:

Field
Type
Description

orders

number

The number of orders assigned to the policy.

attachments

number

This object contains the following attributes:

Field
Type
Description

client

boolean

Indicates direct clients.

partner

boolean

id

string

(Read-only) The identifier of the pricing policy.

PRICING POLICY OBJECT
{
    "id": "PRP-1234-1222-5678",   
    "client": {
        "id": "ACC-1234-1222",        
        "name": "Microsoft",
        "icon": "/static/ACC-1234-1222/account.png"
    },
    "markup": "0.5013",
    "margin": "0.3339",
    "products": [
      {
        "id": "PRD-1111-1111-1111",        
        "name": "Microsoft Office 365 NCE",
        "icon": "/static/PRD-1111-1111-1111/logo.png"
      }
    ],
    "status": "Active",
    "name": "PRP for Stark Industries",
    "externalIds": {
        "operations": "op-322-322"
    },
    "notes": "This is the primary Pricing Policy for the EU region",
    "statistics": {
        "orders": 2,
        "attachments": 1
    }
}

Pricing Policy Attachment object

Pricing Policy Statistics object

Eligibility object

Example

The name of the attachment.

type

string

The type of file.

size

integer

The size of the file.

description

string, core

A description of the attachment.

fileName

string

The name of the file.

contentType

string

Indicates the content type.

status

enum, core

Indicates the status of the pricing policy attachment.

audit

object

Represents the audit object.

The number of attachments assigned to the policy.

Indicates indirect clients, also called partner.

account
product
externalIds
pricingPolicyStatistics
audit
[
  {
    "id": "PRD-1111-1111-1111",    
    "name": "Microsoft Office 365 NCE",
    "icon": "/static/PRD-1111-1111-1111/logo.png"
  }
]
[
  "client": true,
  "partner": false
]

Creates a new authorization in the catalog.

ops

GET

Gets a list of authorizations.

vendor, client, ops

GET

Retrieves an authorization by its id.

vendor, client, ops

PUT

Updates an existing authorization.

ops

DELETE

Deletes an authorization (used by vendors).

ops

Creates a new document in catalog management.

vendor

GET

Lists all documents based on filter criteria.

vendor, client, ops

GET

Gets a document by id.

vendor, client, ops

PUT

Updates a document.

vendor, ops

DELETE

Removes a document.

vendor, ops

POST

Publishes a document.

ops

POST

Marks a document for review.

vendor

POST

Unpublishes a document.

vendor, ops

POST

Creates a product item in the catalog.

vendor

GET

Gets a list of items in the catalog based on filter criteria.

vendor, client, ops

GET

Gets a product item by id.

vendor, client, ops

PUT

Updates a product item.

vendor

DELETE

Deletes a product item.

vendor, ops

POST

Marks a product item as ready for review.

vendor

POST

Publishes a product item.

ops

POST

Unpublishes a product item.

vendor, ops

List items by product

GET

Gets a list of items in the catalog based on filter criteria.

vendor, client, ops

Get item by product id

GET

Gets a product item by id.

vendor, client, ops

Creates a new item group for a given product in the catalog.

vendor

GET

Lists all item groups for a given product based on filter criteria.

vendor, client, ops

GET

Gets an item group by id for a given product.

vendor, client, ops

PUT

Updates an item group for a given product.

vendor

DELETE

Deletes an item group from a given product.

vendor

Creates a new listing in the catalog.

ops

GET

Gets a list of listings in the catalog.

vendor, client, ops

GET

Gets a listing by id.

vendor, client, ops

PUT

Updates a listing in the catalog.

ops

DELETE

Deletes a listing.

ops

Creates new media for a product.

vendor

GET

Gets a list of media for a product.

vendor, client, ops

GET

Gets an item of media for a product.

vendor, client, ops

PUT

Updates an item of media for a product.

vendor

POST

Marks an item of media for a product for review.

vendor

POST

Publishes an item of media for a product.

ops

POST

Unpublishes an item of media for a product.

vendor, ops

DELETE

Deletes an item of media for a product.

vendor, ops

Creates a product parameter.

vendor

GET

Gets a list of parameters for a product.

vendor, client, ops

GET

Gets a product parameter definition.

vendor, client, ops

PUT

Updates a product parameter definition.

vendor

DELETE

Deletes a product parameter definition.

vendor

Creates a new parameter group for a given product in the catalog.

vendor

GET

Lists all parameter groups for a given product based on filter criteria.

vendor, client, ops

GET

Gets a parameter group by id for a given product.

vendor, client, ops

PUT

Updates a parameter group for a given product.

vendor

DELETE

Deletes a parameter group from a given product.

vendor

POST

Creates a price list.

ops, vendor

GET

Gets a list of price lists.

vendor, client, ops

GET

Gets a price list.

vendor, client, ops

PUT

Updates a price list.

ops, vendor

DELETE

Deletes a price list.

ops, vendor

GET

Gets a list of items in a price list.

vendor, client, ops

GET

Gets a price item within a price list.

vendor, client, ops

PUT

Updates a price item within a price list.

ops, vendor

POST

Creates a new pricing policy.

ops

GET

Gets a list of pricing policies.

ops, client

GET

Gets a pricing policy by id.

ops, client

PUT

Updates an existing pricing policy.

ops

DELETE

Deletes an existing pricing policy.

ops

POST

Activates an existing pricing policy.

ops

POST

Disables an existing pricing policy.

ops

GET

Gets a list of pricing policy attachments.

ops

GET

Gets a pricing policy attachment by id.

ops

POST

Creates a new pricing policy attachment.

ops

PUT

Updates an existing pricing policy attachment.

ops

DELETE

Deletes an existing pricing policy attachment.

ops

POST

Creates a new product.

vendor

GET

Fetches a list of products.

vendor, client, ops

GET

Gets a product by id.

vendor, client, ops

PUT

Updates some properties of a product.

vendor

DELETE

Deletes a product.

vendor, ops

POST

Marks a product for review by operations.

vendor

POST

Publishes a product.

ops

POST

Unpublishes a product.

vendor, ops

PUT

Updates a product’s settings.

vendor

Creates a template for a product.

vendor

GET

Gets a list of templates for a product.

vendor, client, ops

GET

Gets a template for a product.

vendor, client, ops

PUT

Updates a template for a product.

vendor

DELETE

Deletes a template for a product.

vendor

Creates terms for a product.

vendor, ops

GET

Gets a list of all terms for a product.

vendor, client, ops

GET

Gets terms for a product.

vendor, client, ops

PUT

Updates terms for a product.

vendor, ops

Delete terms

DELETE

Deletes terms for a product.

vendor, ops

POST

Marks terms for a product for review.

vendor

POST

Publishes terms for a product.

ops

POST

Unpublishes terms for a product.

vendor, ops

Creates a new unit of measure.

ops

GET

Gets a list of units of measure.

vendor, ops

GET

Gets a unit of measure by id.

vendor, ops

PUT

Updates a unit of measure by id.

ops

Creates a variant for terms.

vendor, ops

GET

Gets a list of all variants for terms.

vendor, client, ops

GET

Gets a variant for terms.

vendor, client, ops

PUT

Updates a variant for terms for a product.

vendor, ops

DELETE

Deletes a variant for terms.

vendor, ops

POST

Marks a variant for terms for review.

vendor

POST

Publishes a variant for terms.

ops

POST

Unpublishes a variant for terms.

vendor, ops

Create authorization

Create document

Create item group

Create listing

Create product media

Create parameter

Create parameter group

Create product template

Create terms

Create unit of measure

Create variant

Listings
Media
Parameters
Parameter Groups
Price Lists
Pricing Policies
Products
Templates
Terms
Unit of Measure
Variants

POST

POST

POST

POST

POST

POST

POST

POST

POST

POST

POST

Listing

The Listing object represents a business entity that aligns a product with a specific SoftwareOne seller. It's defined by an authorization and an assigned price list.

Listings are essential for managing the visibility and availability of products across markets.

This object contains the following attributes:

Field
Type
Description
Field
Type
Description
Field
Type
Description
List authorizations
Get authorization by id
Update authorization
Delete authorization
List documents
Get document by id
Update document
Delete document
Publish document
Mark document for review
Unpublish document
Create item
List items
Get item by id
Update item
Delete item
Mark item for review
Publish item
Unpublish item
List item groups
Get item group by id
Update item group
Delete item group
List listings
Get listing by id
Update listing
Delete listing
List product media
Get product media by id
Update product media
Mark media for review
Publish media
Unpublish media
Delete product media
List parameters
Get parameter by id
Update parameter
Delete parameter
List parameter groups
Get parameter group by id
Update parameter group
Delete parameter group
Create price list
List price lists
Get price list by id
Update price list
Delete price list
List price list items
Get price list item by id
Update price list item
Create pricing policy
List pricing policies
Get pricing policy by id
Update pricing policy
Delete pricing policy
Activate pricing policy
Deactivate pricing policy
List pricing policy attachments
Get pricing policy attachment by id
Create pricing policy attachment
Update pricing policy attachment
Delete pricing policy attachment
Create product
List products
Get product by id
Update product
Delete product
Mark product for review
Publish product
Unpublish product
Update product settings
List product templates
Get product template by id
Update product template
Delete product template
List terms
Get terms by id
Update terms
Mark terms for review
Publish terms
Unpublish terms
List units of measure
Get unit of measure by id
Update unit of measure
List variants
Get variant by id
Update variant
Delete variant
Mark variant for review
Publish variant
Unpublish variant

id

string

(Read-only) The primary identifier for the listing.

product

object

(Read-only) Represents the object.

eligibility

object, core

Represents the object, which defines the eligibility status.

authorization

object

(Read-only) Represents the object.

vendor

The vendor that the listing belongs to.

seller

object

(Read-only) Represents the object.

priceList

object

Represents the object.

primary

boolean

Indicates the listing used in the purchase wizard. If the product has multiple associated listings from the same seller, the primary flag identifies which one is selected.

notes

string

(Optional) The user notes about the listing.

statistics

object

(Read-only) Represents the object, containing system-calculated metrics about the listing.

audit

object

(Read-only) Represents the object.

subscriptions

integer

(Read-only) Number of associated subscriptions.

agreements

integer

client

integer

Indicates direct client.

partner

integer

LISTING OBJECT
{
  "id": "LST-1234-4678",  
  "product": {
    "id": "PRD-1111-1111",
    "name": "Microsoft Office 365 NCE",
    "icon": "/static/PRD-1111-1111/logo.png"
  },
  "authorization": {
    "id": "AUT-1234-4567",   
    "name": "Salesforce Enterprise License"
  }, 
  "seller": {
    "id": "SEL-1234-45678",   
    "name": "SoftwareOne, Inc."
  },
  "priceList": {
    "id": "PRC-1234-5678-1234"   
  },
  "primary": true,
  "notes": "This is the primary Listing for the EU region.",
   "eligibility": {
    "client": true,
    "partner": true
  },
  "statistics": {
    "subscriptions": 10,
    "agreements": 5
  },
  "audit": {
    "created": { "at": "...", "by": { } },
    "updated": { "at": "...", "by": { } }
  },
}

Listing Statistics object

Listing Eligibility object

Example

(Read-only) Number of associated agreements.

Indicates indirect client, also called partners.

product
Listing Eligibility
authorization
seller
pricelist
Listing Statistics
audit
post
Body
primarybooleanOptional
notesstring · nullableOptional
idstringOptional
idstringOptional
idstringOptional
idstringOptional
clientbooleanOptional
partnerbooleanOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
idstringOptional
revisioninteger · int32Optional
currencystringOptional
primarybooleanOptional
notesstring · nullableOptional
subscriptionsinteger · int32Optional
agreementsinteger · int32Optional
clientbooleanOptional
partnerbooleanOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/listings
POST /public/v1/catalog/listings HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "primary": true,
  "notes": "text",
  "product": {
    "id": "text"
  },
  "authorization": {
    "id": "text"
  },
  "seller": {
    "id": "text"
  },
  "priceList": {
    "id": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "authorization": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "currency": "text"
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "seller": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "priceList": {
    "id": "text",
    "revision": 1,
    "currency": "text"
  },
  "primary": true,
  "notes": "text",
  "statistics": {
    "subscriptions": 1,
    "agreements": 1
  },
  "eligibility": {
    "client": true,
    "partner": true
  }
}
post
Body
namestringOptional
operationsstring · nullableOptional
idstringOptional
clientbooleanOptional
partnerbooleanOptional
markupnumber · double · nullableOptional
marginnumber · double · nullableOptional
notesstring · nullableOptional
idstringOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
pyraTenantIdstring · uuid · nullableOptional
externalIdstring · nullableOptional
externalNamestring · nullableOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
technicalSupportEmailstring · nullableOptional
websitestring · nullableOptional
descriptionstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
clientbooleanOptional
partnerbooleanOptional
defaultLanguageCodestring · nullableOptional
clientbooleanOptional
partnerbooleanOptional
markupnumber · doubleOptional
marginnumber · doubleOptional
notesstring · nullableOptional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
sendCostToErpboolean · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
vendorboolean · nullableOptional
operationsboolean · nullableOptional
customConfigurationOrdersbooleanOptional
renewalOrdersbooleanOptional
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
addonCountinteger · int32Optional
statusstring · enumOptionalPossible values:
ordersinteger · int32Optional
attachmentsinteger · int32Optional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
409

Conflict

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/pricing-policies
POST /public/v1/catalog/pricing-policies HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 183

{
  "name": "text",
  "externalIds": {
    "operations": "text"
  },
  "client": {
    "id": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "markup": 1,
  "margin": 1,
  "notes": "text",
  "products": [
    {
      "id": "text"
    }
  ]
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deactivated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "externalIds": {
    "operations": "text"
  },
  "client": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active",
    "externalIds": {
      "pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "externalId": "text",
    "externalName": "text",
    "address": {
      "addressLine1": "text",
      "addressLine2": "text",
      "postCode": "text",
      "city": "text",
      "state": "text",
      "country": "text"
    },
    "technicalSupportEmail": "text",
    "website": "text",
    "description": "text",
    "groups": [
      {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "logo": "text",
        "isDefault": true
      }
    ],
    "eligibility": {
      "client": true,
      "partner": true
    },
    "defaultLanguageCode": "text"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "markup": 1,
  "margin": 1,
  "notes": "text",
  "products": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "published": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "pending": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unpublished": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "shortDescription": "text",
      "longDescription": "text",
      "externalIds": {
        "operations": "text",
        "defaultErpItem": "text"
      },
      "website": "text",
      "status": "text",
      "vendor": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "settings": {
        "productOrdering": true,
        "productRequests": {
          "enabled": true,
          "name": "text",
          "label": "text"
        },
        "itemSelection": true,
        "orderQueueChanges": true,
        "preValidation": {
          "purchaseOrderDraft": true,
          "purchaseOrderQuerying": true,
          "changeOrderDraft": true,
          "configurationOrderDraft": true,
          "terminationOrder": true
        },
        "splitBilling": {
          "enabled": true,
          "type": "text"
        },
        "sendCostToErp": true,
        "subscriptionCessation": {
          "enabled": true,
          "mode": "Termination"
        },
        "suspendResume": {
          "vendor": true,
          "operations": true
        },
        "customConfigurationOrders": true,
        "renewalOrders": true
      },
      "statistics": {
        "itemCount": 1,
        "ordersPlacedCount": 1,
        "agreementCount": 1,
        "subscriptionCount": 1,
        "addonCount": 1
      }
    }
  ],
  "status": "None",
  "statistics": {
    "orders": 1,
    "attachments": 1
  }
}
post
Body
namestringOptional
operationsstring · nullableOptional
currencystringOptional
notesstring · nullableOptional
idstringOptional
idstringOptional
firstInvoiceDatestringOptional
frequencystring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
settingsstring · nullableOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
currencystringOptional
notesstring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
subscriptionsinteger · int32Optional
agreementsinteger · int32Optional
sellersinteger · int32Optional
listingsinteger · int32Optional
firstInvoiceDatestring · date-timeOptional
frequencystring · enumOptionalPossible values:
clientbooleanOptional
partnerbooleanOptional
settingsstring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/authorizations
POST /public/v1/catalog/authorizations HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 248

{
  "name": "text",
  "externalIds": {
    "operations": "text"
  },
  "currency": "text",
  "notes": "text",
  "product": {
    "id": "text"
  },
  "owner": {
    "id": "text"
  },
  "journal": {
    "firstInvoiceDate": "text",
    "frequency": "1m"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "settings": "text"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "externalIds": {
    "operations": "text"
  },
  "currency": "text",
  "notes": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "statistics": {
    "subscriptions": 1,
    "agreements": 1,
    "sellers": 1,
    "listings": 1
  },
  "journal": {
    "firstInvoiceDate": "2026-01-01T00:00:00.000Z",
    "frequency": "1m"
  },
  "eligibility": {
    "client": true,
    "partner": true
  },
  "settings": "text"
}
post
Path parameters
productIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/catalog/products/{productId}/documents/{id}/unpublish
POST /public/v1/catalog/products/{productId}/documents/{id}/unpublish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}
put
Path parameters
idstringRequired
Body
namestringOptional
descriptionstringOptional
vendorstringOptional
operationsstring · nullableOptional
idstringOptional
idstringOptional
idstringOptional
valueanyOptional
optionsany · nullableOptional
enabledbooleanOptional
prerequisitestring · nullableOptional
iconstring · binaryOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstringOptional
vendorstringOptional
operationsstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
modelstring · enumOptionalPossible values:
periodstring · enumOptionalPossible values:
commitmentstring · enum · nullableOptionalPossible values:
quantityNotApplicablebooleanOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
externalIdstring · nullableOptional
typestringOptional
multiplebooleanOptional
namestringOptional
valueanyOptional
displayValuestringOptional
enabledbooleanOptional
prerequisitestring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/catalog/items/{id}
PUT /public/v1/catalog/items/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 267

{
  "productitem": {
    "name": "text",
    "description": "text",
    "externalIds": {
      "vendor": "text",
      "operations": "text"
    },
    "group": {
      "id": "text"
    },
    "unit": {
      "id": "text"
    },
    "parameters": [
      {
        "id": "text",
        "value": null,
        "options": null
      }
    ],
    "addon": {
      "enabled": true,
      "prerequisite": "text"
    }
  },
  "icon": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "pending": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "description": "text",
  "externalIds": {
    "vendor": "text",
    "operations": "text"
  },
  "group": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "unit": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "description": "text"
  },
  "terms": {
    "model": "one-time",
    "period": "1m",
    "commitment": "1m"
  },
  "quantityNotApplicable": true,
  "status": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "parameters": [
    {
      "id": "text",
      "externalId": "text",
      "type": "text",
      "multiple": true,
      "name": "text",
      "value": null,
      "displayValue": "text"
    }
  ],
  "addon": {
    "enabled": true,
    "prerequisite": "text"
  }
}
post
Path parameters
idstringRequired
Responses
204

No Content

No content

400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/items/{id}/review
POST /public/v1/catalog/items/{id}/review HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
idstringOptional
revisioninteger · int32Optional
currencystringOptional
primarybooleanOptional
notesstring · nullableOptional
subscriptionsinteger · int32Optional
agreementsinteger · int32Optional
clientbooleanOptional
partnerbooleanOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/catalog/listings/{id}
GET /public/v1/catalog/listings/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "authorization": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "currency": "text"
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "seller": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "priceList": {
    "id": "text",
    "revision": 1,
    "currency": "text"
  },
  "primary": true,
  "notes": "text",
  "statistics": {
    "subscriptions": 1,
    "agreements": 1
  },
  "eligibility": {
    "client": true,
    "partner": true
  }
}
post
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstringOptional
vendorstringOptional
operationsstring · nullableOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
modelstring · enumOptionalPossible values:
periodstring · enumOptionalPossible values:
commitmentstring · enum · nullableOptionalPossible values:
quantityNotApplicablebooleanOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
externalIdstring · nullableOptional
typestringOptional
multiplebooleanOptional
namestringOptional
valueanyOptional
displayValuestringOptional
enabledbooleanOptional
prerequisitestring · nullableOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/items/{id}/publish
POST /public/v1/catalog/items/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "pending": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "description": "text",
  "externalIds": {
    "vendor": "text",
    "operations": "text"
  },
  "group": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "unit": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "description": "text"
  },
  "terms": {
    "model": "one-time",
    "period": "1m",
    "commitment": "1m"
  },
  "quantityNotApplicable": true,
  "status": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "parameters": [
    {
      "id": "text",
      "externalId": "text",
      "type": "text",
      "multiple": true,
      "name": "text",
      "value": null,
      "displayValue": "text"
    }
  ],
  "addon": {
    "enabled": true,
    "prerequisite": "text"
  }
}
post
Path parameters
productIdstringRequired
Body
scopestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
contextstring · enum · nullableOptionalPossible values:
namestring · min: 1Required
descriptionstring · min: 1Required
multiplebooleanOptional
externalIdstring · nullableOptional
displayOrderinteger · int32Required
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
typestring · enumOptionalPossible values:
optionsone ofOptional
hintTextstringOptional
defaultValuestring · enumOptionalPossible values:
or
hintTextstringOptional
labelstringOptional
valuestringOptional
descriptionstring · nullableOptional
defaultValuestring[] · nullableOptional
or
hintTextstringOptional
labelstringOptional
valuestringOptional
descriptionstring · nullableOptional
defaultValuestring · nullableOptional
or
hintTextstringOptional
objectTypestringOptional
propertiesstring[]Optional
or
hintTextstringOptional
defaultValuestring · nullableOptional
objectTypestring · enumOptionalPossible values:
or
hintTextstringOptional
defaultValuestring · enumOptionalPossible values:
phoneMandatorybooleanOptional
or
hintTextstringOptional
dateRangebooleanOptional
minAvailableDatestring · date · nullableOptional
maxAvailableDatestring · date · nullableOptional
defaultValueone of · nullableOptional
startstring · dateOptional
endstring · dateOptional
or
stringOptional
or
hintTextstringOptional
defaultValuestring · enumOptionalPossible values:
or
hintTextstringOptional
placeholderTextstring · nullableOptional
labelstringOptional
valuestringOptional
descriptionstring · nullableOptional
defaultValuestring · nullableOptional
or
placeholderTextstringOptional
hintTextstringOptional
defaultValuestring · enumOptionalPossible values:
or
object · HeadingOptionsOptional
or
placeholderTextstringOptional
hintTextstringOptional
minCharinteger · int32 · nullableOptional
maxCharinteger · int32 · nullableOptional
defaultValuestring · nullableOptional
or
placeholderTextstringOptional
hintTextstringOptional
patternstring · nullableOptional
minCharinteger · int32 · nullableOptional
maxCharinteger · int32 · nullableOptional
defaultValuestring · nullableOptional
or
placeholderTextstringOptional
hintTextstringOptional
domainSuffixstringOptional
idstringOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional
multiplebooleanOptional
externalIdstring · nullableOptional
displayOrderinteger · int32 · nullableOptional
hiddenboolean · nullableOptional
readonlyboolean · nullableOptional
requiredboolean · nullableOptional
mininteger · int32Optional
maxinteger · int32Optional
optionsany · nullableOptional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringOptional
namestringOptional
revisioninteger · int32Optional
scopestring · enumOptionalPossible values:
phasestring · enumOptionalPossible values:
contextstring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/products/{productId}/parameters
POST /public/v1/catalog/products/{productId}/parameters HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 339

{
  "scope": "Agreement",
  "phase": "Configuration",
  "context": "None",
  "name": "text",
  "description": "text",
  "multiple": true,
  "externalId": "text",
  "displayOrder": 1,
  "constraints": {
    "hidden": true,
    "readonly": true,
    "required": true,
    "capacity": {
      "min": 1,
      "max": 1
    }
  },
  "type": "SingleLineText",
  "options": {
    "hintText": "text",
    "defaultValue": "None"
  },
  "group": {
    "id": "text"
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "description": "text",
  "multiple": true,
  "externalId": "text",
  "displayOrder": 1,
  "constraints": {
    "hidden": true,
    "readonly": true,
    "required": true,
    "capacity": {
      "min": 1,
      "max": 1
    }
  },
  "options": null,
  "type": "SingleLineText",
  "status": "Active",
  "group": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "scope": "Agreement",
  "phase": "Configuration",
  "context": "None",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}
get
Path parameters
productIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
displayOrderinteger · int32Optional
urlstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
get/public/v1/catalog/products/{productId}/media
GET /public/v1/catalog/products/{productId}/media HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "type": "text",
      "description": "text",
      "status": "text",
      "filename": "text",
      "size": 1,
      "contentType": "text",
      "displayOrder": 1,
      "url": "text",
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      }
    }
  ]
}
post
Body
primarybooleanOptional
notesstring · nullableOptional
idstringOptional
idstringOptional
idstringOptional
idstringOptional
clientbooleanOptional
partnerbooleanOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
idstringOptional
namestringOptional
revisioninteger · int32Optional
currencystringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
[...]
